import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;
    private Pattern p;
    private Matcher m;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public String getHamletData(){
        return hamletData;
    }


    public void changeHamletToLeon(){
        p = Pattern.compile("hamlet", Pattern.CASE_INSENSITIVE);
        m = p.matcher(hamletData);
        hamletData = m.replaceAll("Leon");
    }

    public void changeHoratioToTariq(){
        p = Pattern.compile("horatio", Pattern.CASE_INSENSITIVE);
        m = p.matcher(hamletData);
        hamletData = m.replaceAll("Tariq");
    }

    public boolean findHamlet(){
        p = Pattern.compile("hamlet", Pattern.CASE_INSENSITIVE);
        m = p.matcher(hamletData);
        return m.find();
    }

    public boolean findHoratio(){
        p = Pattern.compile("horatio", Pattern.CASE_INSENSITIVE);
        m = p.matcher(hamletData);
        return m.find();

    }


}
