import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import static org.junit.Assert.*;

public class HamletParserTest {

    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
    }

    @Test
    public void testChangeHamletToLeon() {
       hamletParser.changeHamletToLeon();
       boolean expected = false;
       boolean actual = hamletParser.findHamlet();
       Assert.assertEquals(expected, actual);

    }

    @Test
    public void testChangeHoratioToTariq() {
        hamletParser.changeHoratioToTariq();
        boolean expected = false;
        boolean actual = hamletParser.findHoratio();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHoratio() {
        boolean expected = hamletParser.getHamletData().toLowerCase().contains("horatio");
        boolean actual = hamletParser.findHoratio();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHamlet() {
        boolean expected = hamletParser.getHamletData().toLowerCase().contains("hamlet");
        boolean actual = hamletParser.findHamlet();
        Assert.assertEquals(expected, actual);
    }
}